import { BrowserRouter, Routes, Route } from "react-router-dom";
import { Layout } from "./Components/Layout/Layout";
import { Context } from "./Container/Context/Context";
import { ContextForm } from "./Container/ContextForm/ContextForm";
import { Provider } from "react-redux";
import { store } from "./Store";

export const App = () => {
  return (
    <Provider store={store}>
      <BrowserRouter>
        <Routes>
          <Route path="/" element={<Layout/>}>
            <Route index element={<Context/>}/>
            <Route path="/quotes/:param" element={<Context/>}/>
            <Route path="/form/:param" element={<ContextForm/>}/>
          </Route>
        </Routes>
      </BrowserRouter>
    </Provider>
  )
}