import { Select, Input, Button } from 'antd';
import { optionsItem } from '../../Data/options.data';
import "./Form.css";

type TProps = {
    onSubmit: (e: React.FormEvent<HTMLFormElement>) => void
    onChangeSelect: (value: string, option: { label: string; value: string; } | {label: string; value: string;}[]) => void
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void
    valueSelect: string
    valueAuthor: string
    valueText: string
}

export const Form = ({onSubmit, valueSelect, valueAuthor, valueText, onChangeSelect, onChange}: TProps) => {
    return (
        <form onSubmit={onSubmit}>
            <Select
                className="select"
                placeholder="Category"
                value={valueSelect}
                onChange={onChangeSelect}
                options={optionsItem}
            />
            <Input placeholder="Author" name="author" value={valueAuthor} onChange={onChange}/>
            <Input className="text" placeholder="Text" name="text" value={valueText} onChange={onChange}/>
            <Button className="btn" type="primary" htmlType="submit">Add new quote</Button>
        </form>
    )
}