import { NavigationItem } from "../UI/Navigation/NavigationItem";
import { useAppSelector } from "../../Store";
import './Header.css';
import { shallowEqual } from "react-redux";

type TProps = {
    onOpen: VoidFunction
}

export const Header = ({onOpen}: TProps) => {
    const {values} = useAppSelector(state => state.quotes, shallowEqual)

    return (
        <header className="Header">
            <h1 onClick={onOpen}>Quotes Central {values.author}</h1>
            <nav>
                <NavigationItem text="Quotes" to="/" end/>
                <span>|</span>
                <NavigationItem text="Submit new quotes" to="/form/add" end/>
            </nav>
        </header>
    )
}