import { useState } from "react";
import { Outlet } from "react-router-dom";
import { Header } from "../Header/Header";
import { Menu } from "../Menu/Menu";
import "./Layout.css";

export const Layout = () => {
    const [open, setOpen] = useState<boolean>(false)

    const onCloseHandler = () => {
        setOpen(false);
    };

    const onOpenHadler = () => {
        setOpen(true);
    };

    return (
        <div className="Layout">
            <Header onOpen={onOpenHadler}/>
            <Menu open={open} onClose={onCloseHandler}/>
            <main>
                <Outlet/>
            </main>
        </div>
    )
}