import { Drawer } from "antd";
import { NavigationItem } from "../UI/Navigation/NavigationItem";
import { menuItems } from "../../Data/menu.items.data";
import './Menu.css';

type TProps = {
    open: boolean
    onClose: VoidFunction
}

export const Menu = ({open, onClose}: TProps) => {
    return (
        <Drawer title="Quotes" placement={"left"} onClose={onClose} open={open}>
            <nav className="menu-nav">
                {menuItems.map(item => (
                    <NavigationItem key={item.text} text={item.text} to={item.to} end/>
                ))}
            </nav>
        </Drawer>
    )
}