import { useEffect } from "react";
import { useParams } from "react-router-dom";
import { QuoteCard } from "../../Components/Card/Card";
import { useAppSelector } from "../../Store";
import { useAppDispatch } from "../../Store";
import { shallowEqual } from "react-redux";
import { getQuotes } from "../../Store/slices/quotes.slice";
import { deleteQuote } from "../../Store/slices/quotes.slice";
import "./Context.css";

export const Context = () => {
    const {param} = useParams()
    const dispatch = useAppDispatch()
    const {quotes} = useAppSelector(state => state.quotes, shallowEqual)

    useEffect(() => {
        dispatch(getQuotes())
    }, [dispatch, param])

    const onDeleteHandler = (id: string) => {
        dispatch(deleteQuote(id))  
    }

    return (
        <div className="Context">
            <h2>{param}</h2>
            <div className="Quotes">
                {
                    quotes?.map(item => (
                        <QuoteCard 
                            key={item.id} 
                            text={item.text} 
                            author={item.author}
                            onDelete={() => onDeleteHandler(item?.id || "")}
                        />
                    ))
                }
            </div>
        </div>
    )
};