import axiosQuotes from "../Config/axiosInstanse";
import { TQuote } from "../interfaces/quote";

class ApiConnector {
    async getQuotes() {
        const {data} = await axiosQuotes.get("quotes.json");
        return data;
    }

    async postQuotes(body: TQuote) {
        const {data} = await axiosQuotes.post("quotes.json", body);
        return data;
    }

    async deleteQuotes(id: string) {
        await axiosQuotes.delete(`quotes/${id}.json`);
        return id;  
    }
}

export const apiConnector = new ApiConnector();